#!/bin/sh
EXENAME=`basename "$0"`
PWD=`pwd`
LS=`ls -l`
VLS=`ls -l v*`
DF=`df`
DBG_FILE="/opt/intellicenter/dbg.txt"
echo "******************** REMOVING OLD PFW PACKAGES *********************" >> $DBG_FILE
for pkg_file in /opt/downloads/*.pfw ; do
	echo $pkg_file >> $DBG_FILE
done
rm /opt/downloads/*.pfw

echo "******************** REMOVING OLD OTA PFW PACKAGES *****************" >> $DBG_FILE
for ota_pkg_file in /opt/downloads/OTA/*.* ; do
	echo $ota_pkg_file >> $DBG_FILE
done
rm /opt/downloads/OTA/*.*
	

echo $EXENAME
echo "$EXENAME MIGRATION DONE...exiting $PWD/$EXENAME" >> $DBG_FILE
if [ "$EXENAME" = "ic" ]; then
    READLINK=$(readlink /usr/bin/recoverymode)
    echo $READLINK >> $DBG_FILE
    if [ "$READLINK" = "/opt/recoverymanager/recoverymanager" ]; then
        echo "/usr/bin/recoverymode is ALREADY LINKED TO /opt/recoverymanager/recoverymanager" >> $DBG_FILE
    else
        echo "ACTIVATING FAILSAFE MODE...." >> $DBG_FILE
        rm /usr/bin/recoverymode
        RMRET=`echo $?`
        if [ "$RMRET" = "0" ]; then
            echo "/usr/bin/recoverymode is REMOVED" >> $DBG_FILE
        else
            mv /usr/bin/recoverymode /opt/intellicenter/recoverymode_OLD
        fi
        ln -s /opt/recoverymanager/recoverymanager /usr/bin/recoverymode
        LNRET=`echo $?`
        echo "LNRET = $LNRET" >> $DBG_FILE
        if [ "$LNRET" = "0" ]; then
            echo "/usr/bin/recoverymode is soft-linked to /opt/recoverymanager/recoverymanager" >> $DBG_FILE
            READLINK=`readlink /usr/bin/recoverymode`
            echo $READLINK >> $DBG_FILE
        else
            echo "UNABLE TO CREATE LINK..." >> $DBG_FILE
        fi
    fi

    echo "====================== DIR LIST ======================" >> $DBG_FILE
    echo "$LS" >> $DBG_FILE
    echo "======================================================" >> $DBG_FILE
    echo "====================== V_FOLDERS =====================" >> $DBG_FILE
    echo "$VLS" >> $DBG_FILE
    echo "======================================================" >> $DBG_FILE
    echo "====================== DISK USAGE  ===================" >> $DBG_FILE
    echo "$DF" >> $DBG_FILE
    echo "======================================================" >> $DBG_FILE

    # Cleanup Help Text
    PREHLS=`ls -l /Resource/Help`
    echo "=================== HELP FOLDER BEFORE CLEANUP ==================" >> $DBG_FILE
    echo "$PREHLS" >> $DBG_FILE
    echo "=================================================================" >> $DBG_FILE

    # Remove the Help Files
    rm /Resource/Help/*.txt
    POSTHLS=`ls -l /Resource/Help`
    echo "=================== HELP FOLDER AFTER  CLEANUP ==================" >> $DBG_FILE
    echo "$POSTHLS" >> $DBG_FILE
    echo "=================================================================" >> $DBG_FILE

    # Cleanup Release Notes
    rm /Resource/ReleaseNotes/ReleaseNotes.txt
    RLS=`ls -l /Resource/ReleaseNotes`
    echo "====================== RELEASE NOTES FOLDER ====================" >> $DBG_FILE
    echo "$RLS" >> $DBG_FILE
    echo "================================================================" >> $DBG_FILE
fi


# Remove the soft-link
echo "Removing soft-link /opt/intellicenter/"$EXENAME >> $DBG_FILE
rm /opt/intellicenter/$EXENAME

#echo "===================== LINKS REMAINING =====================" >> $DBG_FILE
#ls -al /opt/intellicenter/ | grep "\->" >> $DBG_FILE
#echo "===========================================================" >> $DBG_FILE

exit 0


